Bug 485397 - Eee PC 901 goes to sleep twice after suspending from keyboard
Eee PC 901 goes to sleep twice after suspending from keyboard
Status: CLOSED WONTFIX
Product: Fedora
Classification: Fedora
Component: kernel (Show other bugs)
11
All Linux
low Severity medium
: ---
: ---
Assigned To: Kernel Maintainer List
Fedora Extras Quality Assurance
:
Depends On:
Blocks:
  Show dependency treegraph
 
Reported: 2009-02-13 05:54 EST by Alexey Torkhov
Modified: 2010-06-28 07:16 EDT (History)
4 users (show)

See Also:
Fixed In Version:
Doc Type: Bug Fix
Doc Text:
Story Points: ---
Clone Of:
Environment:
Last Closed: 2010-06-28 07:16:23 EDT
Type: ---
Regression: ---
Mount Type: ---
Documentation: ---
CRM:
Verified Versions:
Category: ---
oVirt Team: ---
RHEL 7.3 requirements from Atomic Host:
Cloudforms Team: ---


Attachments (Terms of Use)
lspci of the Samsung NC10 (1.60 KB, application/octet-stream)
2009-06-06 11:11 EDT, Norbert Fabritius
no flags Details


External Trackers
Tracker ID Priority Status Summary Last Updated
Launchpad 159955 None None None Never
Debian BTS 528966 None None None Never

  None (edit)
Description Alexey Torkhov 2009-02-13 05:54:47 EST
Description of problem:
After resuming from suspend that was initiated with keyboard, my Eee PC 901 goes to sleep again short after that. Second time it wakes up properly.
This does not happen when suspending with menu/dialog/etc.

Version-Release number of selected component (if applicable):
kernel-2.6.27.12-170.2.5.fc10

How reproducible:
Always.

Steps to Reproduce:
1. Have Eee PC with Fedora 10 installed.
2. Press Sleep key on keyboard, wait.
3. Resume it.
  
Actual results:
Goes to sleep back before desktop loaded.

Expected results:
Properly wakes up.

Additional info:
Comment 1 Norbert Fabritius 2009-06-06 11:09:46 EDT
I had this problem too with fedora 10.
Then, with fedora 11 beta it worked as expected.
But since a week or so, as we are approaching fedoraa 11 release, the problem returned. I guess it was a recent update to gnome-power-manager or the kernel.

Hardware: Samsung NC10
Comment 2 Norbert Fabritius 2009-06-06 11:11:34 EDT
Created attachment 346753 [details]
lspci of the Samsung NC10
Comment 3 Stefan Assmann 2009-06-21 16:37:22 EDT
(In reply to comment #0)
> Description of problem:
> After resuming from suspend that was initiated with keyboard, my Eee PC 901
> goes to sleep again short after that. Second time it wakes up properly.
> This does not happen when suspending with menu/dialog/etc.

I'm seeing the exact same thing with an Eee PC 1000HE on F11. Any idea why the suspend routine might be called twice?
Comment 4 Dennis Wagelaar 2009-08-31 12:11:52 EDT
This happens on my desktop PC as well, which is based on an MSI G965MDH mainboard (http://www.smolts.org/show?uuid=pub_3001d0cf-9dd9-49dd-9992-b1d47a9c1b70).

Versions:
- kernel-2.6.29.6-217.2.8.fc11.x86_64
- pm-utils-1.2.5-2.fc11.x86_64
Comment 5 Dennis Wagelaar 2009-09-20 03:29:11 EDT
This issue no longer occurs for me with:
- kernel-2.6.30.5-43.fc11.x86_64
- pm-utils-1.2.5-2.fc11.x86_64
Comment 6 Bug Zapper 2010-04-27 08:57:36 EDT
This message is a reminder that Fedora 11 is nearing its end of life.
Approximately 30 (thirty) days from now Fedora will stop maintaining
and issuing updates for Fedora 11.  It is Fedora's policy to close all
bug reports from releases that are no longer maintained.  At that time
this bug will be closed as WONTFIX if it remains open with a Fedora 
'version' of '11'.

Package Maintainer: If you wish for this bug to remain open because you
plan to fix it in a currently maintained version, simply change the 'version' 
to a later Fedora version prior to Fedora 11's end of life.

Bug Reporter: Thank you for reporting this issue and we are sorry that 
we may not be able to fix it before Fedora 11 is end of life.  If you 
would still like to see this bug fixed and are able to reproduce it 
against a later version of Fedora please change the 'version' of this 
bug to the applicable version.  If you are unable to change the version, 
please add a comment here and someone will do it for you.

Although we aim to fix as many bugs as possible during every release's 
lifetime, sometimes those efforts are overtaken by events.  Often a 
more recent Fedora release includes newer upstream software that fixes 
bugs or makes them obsolete.

The process we are following is described here: 
http://fedoraproject.org/wiki/BugZappers/HouseKeeping
Comment 7 Bug Zapper 2010-06-28 07:16:23 EDT
Fedora 11 changed to end-of-life (EOL) status on 2010-06-25. Fedora 11 is 
no longer maintained, which means that it will not receive any further 
security or bug fix updates. As a result we are closing this bug.

If you can reproduce this bug against a currently maintained version of 
Fedora please feel free to reopen this bug against that version.

Thank you for reporting this bug and we are sorry it could not be fixed.

Note You need to log in before you can comment on or make changes to this bug.